Name:		openssl102u
Version:	1.0.2p
Release:	1
Summary:	Secure communications toolkit
Group:		Cryptography
License:	BSD
Source0:	http://www.openssl.org/source/openssl-%{version}.tar.gz
URL:		http://www.openssl.org
Distribution:	Rutgers
Vendor:		OIT-OSS
Packager:	Aaron Richton <richton@nbcs.rutgers.edu>
Requires:	coreutils make
BuildRequires:	coreutils, krb5-devel, perl, sed, zlib-devel, /usr/bin/cmp, gcc >= gcc-4.1.2-55
BuildRequires:	/usr/bin/rename
BuildRequires:	/usr/bin/pod2man
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: x86_64

%description
 The OpenSSL Project is a collaborative effort to develop a robust,
 commercial-grade, fully featured, and Open Source toolkit implementing the
 Transport Layer Security (TLS) protocols (including SSLv3) as well as a
 full-strength general purpose cryptographic library.

%package static
Summary: evil .a files
Requires: %{name} = %{version}
Group: Cryptography
%description static
This package contains OpenSSL's static libraries. OpenSSL static libraries have 
been proven by scientists to eat babies. Never install these unless you need 
them, in which case you still, in reality, do not need them.

%prep
%setup -q -n openssl-%{version}
# total BS. we should take this up with openssl guys.
# this SHOULD be ./Configure shared solaris64-sparcv9-cc::"-g -xs"
# HOWEVER THIS KILLS THE BUILD! stupid. stupid. stupid.
#mv Configure Configure.old
#sed s/-xO5/"-g -xs -xO5"/g Configure.old > Configure
#sed s/xdepend/xdepend=no/g Configure.old > Configure.old2
#sed -e s/-xO5/'-O -Wl,-Bdirect -Wl,-zdefs -g -xs'/g Configure.old2 > Configure
#chmod u+x Configure


%build

./Configure linux-x86_64 shared

gmake -e
# FIXME turn this back on
gmake -e test

%install
rm -fr %{buildroot}
gmake install INSTALL_PREFIX=%{buildroot}
chmod 755 %{buildroot}/usr/local/ssl/lib/pkgconfig && true

mkdir -p %{buildroot}/usr/local/lib
mv %{buildroot}/usr/local/ssl/lib/*so* %{buildroot}/usr/local/lib
mv -f libcrypto*so* %{buildroot}/usr/local/lib
mkdir -p %{buildroot}/usr/local/ssl/lib
for i in `(cd %{buildroot}/usr/local/lib/; ls *so*)` ; do
    ln -s ../../lib/$i %{buildroot}/usr/local/ssl/lib/$i
done;
%clean rm -fr %{buildroot}

%files 
%defattr(-,root,root) 
%doc CHANGES CHANGES.SSLeay FAQ INSTALL LICENSE NEWS PROBLEMS README README.ASN1 README.ENGINE 
/usr/local/ssl/bin
/usr/local/ssl/certs
/usr/local/ssl/include
/usr/local/ssl/lib/libcrypto.so*
/usr/local/ssl/lib/libssl.so*
/usr/local/ssl/lib/engines/*
/usr/local/ssl/lib/pkgconfig
/usr/local/ssl/man
/usr/local/ssl/misc
/usr/local/ssl/openssl.cnf
/usr/local/ssl/private
/usr/local/lib/libcrypto.so*
/usr/local/lib/libssl.so*

%files static
%defattr(-,root,root)
/usr/local/ssl/lib/*.a

%changelog
* Thu Nov 01 2018 Sam Azouzi <ssa123@nbcs.rutgers.edu> - 1.0.2
- Building this version for CentOS 5 x86_64 ONLY.
* Mon Oct 29 2018 Aaron Richton <richton@nbcs.rutgers.edu> - 1.1.1-1
- Moving to CentOS

* Mon Mar 23 2015 Aedan Dispenza <ad778@nbcs.rutgers.edu> - 0.9.8zf-1
- Version bump

* Thu Feb 12 2015 Aedan Dispenza <ad778@nbcs.rutgers.edu> - 0.9.8ze-1
- Version bump

* Mon Dec 01 2014 Aedan Dispenza <ad778@nbcs.rutgers.edu> - 0.9.8zc-1
- Version bump

* Mon Jun 14 2014 Aedan Dispenza <ad778@nbcs.rutgers.edu> - 0.9.8zb-1 
- Version bump

* Mon Aug 22 2011 Steven Lu <sjlu@nbcs.rutgers.edu> - 0.9.8r-2
- bump (rpm2php fix?)

* Fri Aug 12 2011 Phillip Quiza <pquiza@nbcs.rutgers.edu> - 0.9.8r-1
- update to 0.9.8r

* Fri Nov 06 2009 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 0.9.8l-1
- update to 0.9.8l

* Mon Apr 13 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8k-1
- bumped to 0.9.8k
* Fri Jan 9 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8j-1 
- bumped to latest version
* Tue Sep 30 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8i-1
- bumped to latest version
* Fri Jun 06 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8h-1
- bumped to latest version
* Fri Jan 25 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8g-11
- changed formatting of message in %pre to a column width of < 80
* Wed Jan 23 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8g-10
- fixed %pre
* Tue Jan 22 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8g-9
- added malloc.mapfile and changed CFLAGS
* Tue Jan 22 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8g-8
- removed %config(noreplace) and added warning about links in pre
* Tue Jan 16 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.9.8g-7
- added %config(noreplace) to /usr/local/ssl/certs 
* Fri Oct 19 2007 David Lee Halik <dhalik@nbcs.rutgers.edu> - 0.9.8g-1
- Bump to g
* Wed May 23 2007 Eric Rivas <kc2hmv@nbcs.rutgers.edu> - 0.9.8d-2
- We're not speed demons
* Fri Nov 17 2006 Leo Zhadanovsky <leozh@nbcs.rutgers.edu> - 0.9.8d-1
- Updated to 0.9.8d
* Fri Feb 17 2006 Leo Zhadanovsky <leozh@nbcs.rutgers.edu> - 0.9.7i-1
- Updated to 0.9.7i, switched to GCC from Sun CC.
